POST api/NTCosCompany/PostCompanyEmailTemplate

Request Information

URI Parameters

None.

Body Parameters

CompanyEmailTemplateDTO
NameDescriptionTypeAdditional information
Id

integer

None.

NotificationTypeId

integer

None.

NotificationTypeName

string

String length: inclusive between 0 and 250

NotificationTypeTemplate

string

String length: inclusive between 0 and 8000

IsCustomTemplate

boolean

None.

CustomTemplate

string

String length: inclusive between 0 and 4000

ServiceId

integer

None.

NotificationFrom

integer

None.

ExamId

string

String length: inclusive between 0 and 20

CustomFromEmailAddress

string

String length: inclusive between 0 and 250

CustomSubject

string

String length: inclusive between 0 and 350

IsCustomFrom

boolean

None.

IsCustomSubject

boolean

None.

NotificationTypeFrom

string

String length: inclusive between 0 and 250

NotificationTypeSubject

string

String length: inclusive between 0 and 350

Status

boolean

None.

IncludeSuperVisor

boolean

None.

WorkLocationCode

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "NotificationTypeId": 2,
  "NotificationTypeName": "sample string 3",
  "NotificationTypeTemplate": "sample string 4",
  "IsCustomTemplate": true,
  "CustomTemplate": "sample string 5",
  "ServiceId": 6,
  "NotificationFrom": 7,
  "ExamId": "sample string 8",
  "CustomFromEmailAddress": "sample string 9",
  "CustomSubject": "sample string 10",
  "IsCustomFrom": true,
  "IsCustomSubject": true,
  "NotificationTypeFrom": "sample string 11",
  "NotificationTypeSubject": "sample string 12",
  "Status": true,
  "IncludeSuperVisor": true,
  "WorkLocationCode": "sample string 13",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:29:47.0581947-07:00",
  "DateUpdated": "2026-08-04T14:29:47.0581947-07:00",
  "UserIDCreated": 17,
  "UserIDUpdated": 18,
  "CompanyCode": "sample string 19",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCompanyEmailTemplateDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CompanyEmailTemplateDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "NotificationTypeId": 2,
    "NotificationTypeName": "sample string 3",
    "NotificationTypeTemplate": "sample string 4",
    "IsCustomTemplate": true,
    "CustomTemplate": "sample string 5",
    "ServiceId": 6,
    "NotificationFrom": 7,
    "ExamId": "sample string 8",
    "CustomFromEmailAddress": "sample string 9",
    "CustomSubject": "sample string 10",
    "IsCustomFrom": true,
    "IsCustomSubject": true,
    "NotificationTypeFrom": "sample string 11",
    "NotificationTypeSubject": "sample string 12",
    "Status": true,
    "IncludeSuperVisor": true,
    "WorkLocationCode": "sample string 13",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:29:47.0581947-07:00",
    "DateUpdated": "2026-08-04T14:29:47.0581947-07:00",
    "UserIDCreated": 17,
    "UserIDUpdated": 18,
    "CompanyCode": "sample string 19",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}